Bug 213503 - [new port] sysutils/ttyd: Program to share your terminal over the web
Summary: [new port] sysutils/ttyd: Program to share your terminal over the web
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-10-15 15:32 UTC by Neel Chauhan
Modified: 2016-11-23 12:45 UTC (History)
2 users (show)

See Also:


Attachments
Shar file for sysutils/ttyd (3.03 KB, text/plain)
2016-10-15 15:32 UTC, Neel Chauhan
no flags Details
Shar file for sysutils/ttyd 1.2.0 (1.54 KB, text/plain)
2016-11-18 12:07 UTC, Neel Chauhan
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Neel Chauhan freebsd_committer 2016-10-15 15:32:52 UTC
Created attachment 175783 [details]
Shar file for sysutils/ttyd

ttyd is a simple command-line tool for sharing terminal over the web, inspired by GoTTY.

WWW: https://www.github.com/tsl0922/ttyd

This port builds on FreeBSD 11.0 amd64
Comment 1 Neel Chauhan freebsd_committer 2016-11-18 12:07:32 UTC
Created attachment 177139 [details]
Shar file for sysutils/ttyd 1.2.0

I have an updated version of ttyd, and this port builds on FreeBSD 11.0 amd64.
Comment 2 Baptiste Daroussin freebsd_committer 2016-11-23 12:35:36 UTC
Thanks I have added it to the ports tree.

Note that I have added USES=ssl which is needed to track the fact that the port is using openssl

I have also fixed a small warning reported by portlint -A
Comment 3 commit-hook freebsd_committer 2016-11-23 12:45:45 UTC
A commit references this bug:

Author: bapt
Date: Wed Nov 23 12:44:39 UTC 2016
New revision: 426907
URL: https://svnweb.freebsd.org/changeset/ports/426907

Log:
  Add ttyd:

  ttyd is a simple command-line tool for sharing terminal over the web, inspired by GoTTY.

  WWW: https://www.github.com/tsl0922/ttyd

  PR:		213503
  Submitted by:	Neel Chauhan <neel@neelc.org>

Changes:
  head/sysutils/Makefile
  head/sysutils/ttyd/
  head/sysutils/ttyd/Makefile
  head/sysutils/ttyd/distinfo
  head/sysutils/ttyd/pkg-descr